UNITS | CLASSES, INTERFACES, OBJECTS | TYPES | VARIABLES | CONSTANTS | FUNCTIONS, PROCEDURES | IDENTIFIERS

# Class TIBDatabase

## Unit

Interbase

## Declaration

`type TIBDatabase = class(TDatabase)`

## Description

TIBDatabase

## Fields

None.

## Methods

### Overview

`constructor Create(AOwner : TComponent); override;`
`destructor Destroy; override;`
`procedure DoInternalConnect; override;`
`procedure DoInternalDisconnect; override;`
`procedure EndTransaction; override;`
`function GetHandle : pointer; virtual;`
`procedure StartTransaction; override;`

### Description

`constructor Create(AOwner : TComponent); override;`

`destructor Destroy; override;`

`procedure DoInternalConnect; override;`

This procedure makes connection to Interbase server internally. Is visible only by descendants, in application programming will be invisible. Connection you must establish by setting Connected property to true, or by call of Open method.

`procedure DoInternalDisconnect; override;`

This procedure disconnects object from IB server internally. Is visible only by descendants, in application programming will be invisible. Disconnection you must make by setting Connected property to false, or by call of Close method.

`procedure EndTransaction; override;`

`function GetHandle : pointer; virtual;`

`procedure StartTransaction; override;`

## Properties

### Overview

`Connected:`

`DatabaseName:`

`Dialect:`

`KeepConnection:`

`LoginPrompt:`

`OnLogin:`

`Params:`

`Password:`

`Transaction:`

`UserName:`

### Description

`Connected:`

Identifies, if connection to Interbase server is established, or not. Instead of calling Open, Close methods you can connect or disconnect by setting this property to true or false.

`DatabaseName:`

This property holds database connect string. On local server it will be absolute path to the db file, if you wanna connect over network, this path looks like this: <server_name>:<path_on_server>, where server_name is absolute IP address, or name of server in DNS or hosts file, path_on_server is absolute path to the file again

`Dialect:`

On connect, TIBDatabase object retrieve SQL dialect of database file, and sets this property to responding value

`KeepConnection:`

`LoginPrompt:`

`OnLogin:`

`Params:`

`Password:`

Before firing Open method you must set Password,DatabaseName, UserName properties in order of successfull connect to database

`Transaction:`

This property holds default transaction for database. You must assign it by hand now, default assignment becomes handy, in next release, with transaction handling and evidence

`UserName:`

Before firing Open method you must set Password,DatabaseName, UserName properties in order of successfull connect to database

Generated by pasdoc 0.6.17 on Fri 3 Nov 2000 09:02:48